Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Class OutputToInputTransform

    java.lang.Object
      |
      +--com.bea.p13n.advisor.AbstractAdviceTransform
            |
            +--com.bea.p13n.advisor.OutputToInputTransform

Direct Known Subclasses:
  OutputListItemToInputTransform

public class OutputToInputTransform
extends AbstractAdviceTransform

This is an `AdviceTransform` that takes the last RESULT key (getResult return value) from the `Advice` object and puts it into the key specified in the "output-key" parameter field in the `AdviceRequest`. If the `Advice` is `null` or incomplete no transformation is performed.

Constructor Summary
`OutputToInputTransform(Advisor ignore, Metadata metadata)` Construct an instance of this object and bind it to its `Advisor` and `Metadata` instances.

Method Summary
`java.lang.String` | `getRequestKey()` Returns the request key.
`java.lang.String` | `getSpecificKey()` Returns the request-specific key.
`java.lang.String` | `getSpecificValue()` Returns the request-specific value.
`boolean` | `initialize(java.util.Map parameters, java.lang.Object parameterDocument)`
`void` | `transform(Advice input, AdviceRequest output)`

Methods inherited from class com.bea.p13n.advisor.AbstractAdviceTransform
`getMetadata, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputToInputTransform

    public OutputToInputTransform(Advisor ignore,
                                  Metadata metadata)

  Construct an instance of this object and bind it to its `Advisor` and `Metadata` instances.

  Parameters:
    `ignore` - the advisor for this object.
    `metadata` - the metadata for this object.

Method Detail

### initialize

    public boolean initialize(java.util.Map parameters,
                              java.lang.Object parameterDocument)
                       throws AdvisorException

  Overrides:
    initialize in class AbstractAdviceTransform

### transform

    public void transform(Advice input,
                          AdviceRequest output)
                   throws AdvisorException

  Overrides:
    transform in class AbstractAdviceTransform

### getRequestKey

    public java.lang.String getRequestKey()

  Returns the request key.

  Returns:
    The request key.

### getSpecificKey

    public java.lang.String getSpecificKey()

  Returns the request-specific key.

  Returns:
    the request-specific key.

### getSpecificValue

    public java.lang.String getSpecificValue()

  Returns the request-specific value.

  Returns:
    the request-specific value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved